# IMFDrawerPart Struct Reference
[MCFrame]

Inheritance diagram for IMFDrawerPart:

List of all members.

## Public Member Functions
virtual EDrawerType MCCOMAPI | GetDrawerType () const =0
virtual void MCCOMAPI | SetDrawerType (EDrawerType inDrawerType)=0
virtual EDrawerState MCCOMAPI | GetDrawerState () const =0
virtual void MCCOMAPI | SetDrawerState (EDrawerState inDrawerState)=0
virtual int32 MCCOMAPI | GetTrayDepth () const =0
virtual void MCCOMAPI | SetTrayDepth (int32 inTrayDepth)=0
virtual int32 MCCOMAPI | GetMinOpenDepth () const =0
virtual void MCCOMAPI | SetMinOpenDepth (int32 inMinOpenDepth)=0
virtual boolean MCCOMAPI | IsFillDrawer () const =0
virtual void MCCOMAPI | SetIsFillDrawer (boolean isFillDrawer)=0
virtual IMFWindow *MCCOMAPI | GetThisWindow ()=0
virtual void MCCOMAPI | SetDrawerResizeLimits (const TMCRect &inResizeLimits, boolean dockedLimits)=0
virtual void MCCOMAPI | GetDrawerResizeLimits (TMCRect &outResizeLimits, boolean dockedLimits)=0
virtual IMFPart *MCCOMAPI | GetDrawerHandlePart ()=0
| Returns the drawer's handle (can be null).

## Detailed Description

IMFDrawerPart is the interface of a drawers in MCF.

## Member Function Documentation

virtual IMFPart* MCCOMAPI IMFDrawerPart::GetDrawerHandlePart | ( |  | ) | `[pure virtual]`

Returns the drawer's handle (can be null).

virtual void MCCOMAPI IMFDrawerPart::GetDrawerResizeLimits | ( | TMCRect & | outResizeLimits,
|  | boolean | dockedLimits |
| ) |  |  | `[pure virtual]`

Gets the resize limits for the docked or the undocked state of the drawer

Parameters:

  | outResizeLimits | The resize limits applied in the given state
  | dockedLimits | If true, returns the limits used when the drawer is docked, else when it is undocked

virtual EDrawerState MCCOMAPI IMFDrawerPart::GetDrawerState | ( |  | ) | const`[pure virtual]`

virtual EDrawerType MCCOMAPI IMFDrawerPart::GetDrawerType | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI IMFDrawerPart::GetMinOpenDepth | ( |  | ) | const`[pure virtual]`

virtual IMFWindow* MCCOMAPI IMFDrawerPart::GetThisWindow | ( |  | ) | `[pure virtual]`

A drawer is always a window

virtual int32 MCCOMAPI IMFDrawerPart::GetTrayDepth | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IMFDrawerPart::IsFillDrawer | ( |  | ) | const`[pure virtual]`

Returns true if the drawer fills all the space on the side where it is docked

virtual void MCCOMAPI IMFDrawerPart::SetDrawerResizeLimits | ( | const TMCRect & | inResizeLimits,
|  | boolean | dockedLimits |
| ) |  |  | `[pure virtual]`

Sets the resize limits for the docked or the undocked state of the drawer.

Parameters:

  | inResizeLimits | The resize limits to apply
  | dockedLimits | If true, the limits apply when the drawer is docked, else when it is undocked

virtual void MCCOMAPI IMFDrawerPart::SetDrawerState | ( | EDrawerState | inDrawerState | ) | `[pure virtual]`

virtual void MCCOMAPI IMFDrawerPart::SetDrawerType | ( | EDrawerType | inDrawerType | ) | `[pure virtual]`

virtual void MCCOMAPI IMFDrawerPart::SetIsFillDrawer | ( | boolean | isFillDrawer | ) | `[pure virtual]`

virtual void MCCOMAPI IMFDrawerPart::SetMinOpenDepth | ( | int32 | inMinOpenDepth | ) | `[pure virtual]`

virtual void MCCOMAPI IMFDrawerPart::SetTrayDepth | ( | int32 | inTrayDepth | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFDrawerPart.h